"""Role testing files using testinfra."""


def test_stow_installed(host):
    stow = host.package("stow")
    assert stow.is_installed

def test_dotfile_cloned(host):
    homepath = host.run("pwd").stdout[:-1]
    dotfiles = host.file(homepath + "/.dotfiles")
    assert dotfiles.exists

def test_dotfile_stowed(host):
    homepath = host.run("pwd").stdout[:-1]
    nvim = host.file(homepath + "/.config/nvim/")
    assert nvim.exists
    tmux = host.file(homepath + "/.tmux/")
    assert tmux.exists
    zshenv = host.file(homepath + "/.zshenv")
    assert zshenv.exists
    zsh = host.file(homepath + "/.config/zsh/")
    assert zsh.exists

